Skip to main content
GET
/
files
/
v3
/
files
/
{fileId}
/
signed-url
Get signed URL to access private file
curl --request GET \
  --url https://api.hubapi.com/files/v3/files/{fileId}/signed-url \
  --header 'Authorization: Bearer <token>'
{
  "expiresAt": "2023-11-07T05:31:56Z",
  "extension": "<string>",
  "name": "<string>",
  "size": 123,
  "type": "<string>",
  "url": "<string>",
  "height": 123,
  "width": 123
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

fileId
string
required

ID of file.

Pattern: \d+

Query Parameters

expirationSeconds
integer<int64>

How long in seconds the link will provide access to the file.

size
enum<string>

For image files. This will resize the image to the desired size before sharing. Does not affect the original file, just the file served by this signed URL.

Available options:
icon,
medium,
preview,
thumb
upscale
boolean

If size is provided, this will upscale the image to fit the size dimensions.

Response

successful operation

Signed Url object with optional ancillary metadata of requested file

expiresAt
string<date-time>
required

Timestamp of when the URL will no longer grant access to the file.

extension
string
required

Extension of the requested file.

name
string
required

New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.

size
integer<int64>
required

Size in bytes of the requested file.

type
string
required

Type of the file. Can be IMG, DOCUMENT, AUDIO, MOVIE, or OTHER.

url
string
required

URL to download the new file from.

height
integer<int32>

For image and video files. The height of the file.

width
integer<int32>

For image and video files. The width of the file.

Last modified on February 12, 2026